From f35a696bfcfcaa7b404cf71ff347a26d21a9dc99 Mon Sep 17 00:00:00 2001
From: Sricharan R <sricharan@codeaurora.org>
Date: Fri, 15 Mar 2019 22:31:55 +0530
Subject: [PATCH 28/29] qcs405: Add signing sequence

Signed-off-by: Sricharan R <sricharan@codeaurora.org>
---
 src/soc/qualcomm/qcs405/Makefile.inc | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

diff --git a/src/soc/qualcomm/qcs405/Makefile.inc b/src/soc/qualcomm/qcs405/Makefile.inc
index 26895fb56549..896a49d422e4 100644
--- a/src/soc/qualcomm/qcs405/Makefile.inc
+++ b/src/soc/qualcomm/qcs405/Makefile.inc
@@ -109,8 +109,10 @@ ifeq ($(CONFIG_QC_FLASH_SIMULATE_SDCARD),y)
 		$(objcbfs)/bootblock.bin
 else
 	@printf "\nqgpt.py 4K sector size\n"
-	python util/qualcomm/qgpt.py $(objcbfs)/merged_bb_qcsec.mbn \
-		$(objcbfs)/bootblock.bin
+	python sectools/sectools.py secimage -p qcs405 -i ./build/cbfs/fallback/merged_bb_qcsec_nohash.elf -dvt -g xbl -o bb_qcsec
+	cp bb_qcsec/qcs405/xbl/merged_bb_qcsec_nohash.elf xbl.elf
+	python util/qualcomm/qgpt.py -s 512 xbl.elf xbl_with_gpt.bin
+	python util/qualcomm/qgpt.py bb_qcsec/qcs405/xbl/merged_bb_qcsec_nohash.elf build/cbfs/fallback/bootblock.bin
 endif
 
 else
-- 
The Qualcomm Innovation Center, Inc. is a member of the Code Aurora Forum,
a Linux Foundation Collaborative Project

